ru.bitel.bgbilling.kernel.contract.balance.common.event

## Class ReserveTypeModifiedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<ReserveType>
    - - ru.bitel.bgbilling.kernel.contract.balance.common.event.ReserveTypeModifiedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ReserveTypeModifiedEvent
      extends ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<ReserveType>

  Событие изменения справочника типа резерв.
  Author:
    ildar
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

      `newItem, oldItem`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReserveTypeModifiedEvent()`
    `ReserveTypeModifiedEvent(int moduleId, int userId, ReserveType oldItem, ReserveType newItem)`

  - ### Method Summary

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

      `getNewItem, getOldItem`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ReserveTypeModifiedEvent

          public ReserveTypeModifiedEvent()

    - #### ReserveTypeModifiedEvent

          public ReserveTypeModifiedEvent(int moduleId,
                                          int userId,
                                          ReserveType oldItem,
                                          ReserveType newItem)